from django.contrib import admin
from .models import Author, Book

class AuthorAdmin(admin.ModelAdmin):
   model = Author
   list_display = ("last_name","first_name","nationality","bio")
   search_fields = ("first_name","last_name")

class BooksAdmin(admin.ModelAdmin):
    model = Book
    list_display = ("title","author","blurb","publisher","year_published","ISBN")
    search_fields = ("title","author","year_published","publisher","ISBN")

# registering the model and the admin is what tells
# Django that admin pages must be generated for the models specified
admin.site.register(Author, AuthorAdmin)
admin.site.register(Book, BooksAdmin)
